.TH wxToolbook 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxToolbook \- See external documentation: wxToolbook\&.
.SH DESCRIPTION
.LP
See external documentation: wxToolbook <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxToolbook()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxToolbook()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookwxtoolbook>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxToolbook()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxToolbook()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookwxtoolbook>\&.
.RE
.LP
.B
addPage(This::wxToolbook(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to addPage(This, Page, Text, [])\&.
.RE
.LP
.B
addPage(This::wxToolbook(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookaddpage>\&.
.RE
.LP
.B
advanceSelection(This::wxToolbook()) -> ok
.br
.RS
.LP
Equivalent to advanceSelection(This, [])\&.
.RE
.LP
.B
advanceSelection(This::wxToolbook(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {forward, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookadvanceselection>\&.
.RE
.LP
.B
assignImageList(This::wxToolbook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookassignimagelist>\&.
.RE
.LP
.B
create(This::wxToolbook(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxToolbook(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookcreate>\&.
.RE
.LP
.B
deleteAllPages(This::wxToolbook()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookdeleteallpages>\&.
.RE
.LP
.B
deletePage(This::wxToolbook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookdeletepage>\&.
.RE
.LP
.B
removePage(This::wxToolbook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookremovepage>\&.
.RE
.LP
.B
getCurrentPage(This::wxToolbook()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetcurrentpage>\&.
.RE
.LP
.B
getImageList(This::wxToolbook()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetimagelist>\&.
.RE
.LP
.B
getPage(This::wxToolbook(), N::integer()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetpage>\&.
.RE
.LP
.B
getPageCount(This::wxToolbook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetpagecount>\&.
.RE
.LP
.B
getPageImage(This::wxToolbook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetpageimage>\&.
.RE
.LP
.B
getPageText(This::wxToolbook(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetpagetext>\&.
.RE
.LP
.B
getSelection(This::wxToolbook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookgetselection>\&.
.RE
.LP
.B
hitTest(This::wxToolbook(), Pt::{X::integer(), Y::integer()}) -> {integer(), Flags::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookhittest>\&.
.RE
.LP
.B
insertPage(This::wxToolbook(), N::integer(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to insertPage(This, N, Page, Text, [])\&.
.RE
.LP
.B
insertPage(This::wxToolbook(), N::integer(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookinsertpage>\&.
.RE
.LP
.B
setImageList(This::wxToolbook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbooksetimagelist>\&.
.RE
.LP
.B
setPageSize(This::wxToolbook(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbooksetpagesize>\&.
.RE
.LP
.B
setPageImage(This::wxToolbook(), N::integer(), ImageId::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbooksetpageimage>\&.
.RE
.LP
.B
setPageText(This::wxToolbook(), N::integer(), StrText::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbooksetpagetext>\&.
.RE
.LP
.B
setSelection(This::wxToolbook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbooksetselection>\&.
.RE
.LP
.B
changeSelection(This::wxToolbook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoolbook\&.html#wxtoolbookchangeselection>\&.
.RE
.LP
.B
destroy(This::wxToolbook()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
